/*******************************************************************************
 *	BDS Database Schema Update
 *	T.Barnaby,	BEAM Ltd,	2022-03-16
 *
 *	Update from schema 19 to 20
 *******************************************************************************
 *
 */

/* Update tables */
alter table `Responses` add column `transferType`		text		NOT NULL;
alter table `Responses` add column `approximationType`		text		NOT NULL;
alter table `Responses` add column `validFrequencyUnits`	text		NOT NULL;
alter table `Responses` add column `frequencyLowerBound`	Double		NOT NULL;
alter table `Responses` add column `frequencyUpperBound`	Double		NOT NULL;
alter table `Responses` add column `approximationLowerBound`	Double		NOT NULL;
alter table `Responses` add column `approximationUpperBound`	Double		NOT NULL;
alter table `Responses` add column `maximumError`		Double		NOT NULL;

UPDATE `Config` set `value` = '20' where `name` = 'SchemaVersion';
